package com.myfood.databases.databasesqlite;

import androidx.annotation.NonNull;
import androidx.room.DatabaseConfiguration;
import androidx.room.InvalidationTracker;
import androidx.room.RoomOpenHelper;
import androidx.room.RoomOpenHelper.Delegate;
import androidx.room.RoomOpenHelper.ValidationResult;
import androidx.room.migration.AutoMigrationSpec;
import androidx.room.migration.Migration;
import androidx.room.util.DBUtil;
import androidx.room.util.TableInfo;
import androidx.room.util.TableInfo.Column;
import androidx.room.util.TableInfo.ForeignKey;
import androidx.room.util.TableInfo.Index;
import androidx.sqlite.db.SupportSQLiteDatabase;
import androidx.sqlite.db.SupportSQLiteOpenHelper;
import androidx.sqlite.db.SupportSQLiteOpenHelper.Callback;
import androidx.sqlite.db.SupportSQLiteOpenHelper.Configuration;
import java.lang.Class;
import java.lang.Override;
import java.lang.String;
import java.lang.SuppressWarnings;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

@SuppressWarnings({"unchecked", "deprecation"})
public final class RoomSingleton_Impl extends RoomSingleton {
  private volatile SQLiteDao _sQLiteDao;

  @Override
  protected SupportSQLiteOpenHelper createOpenHelper(DatabaseConfiguration configuration) {
    final SupportSQLiteOpenHelper.Callback _openCallback = new RoomOpenHelper(configuration, new RoomOpenHelper.Delegate(24) {
      @Override
      public void createAllTables(SupportSQLiteDatabase _db) {
        _db.execSQL("CREATE TABLE IF NOT EXISTS `Currency` (`idCurrency` INTEGER NOT NULL, `currency` TEXT NOT NULL, PRIMARY KEY(`idCurrency`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `CurrencyTranslation` (`idCurrTranslation` INTEGER NOT NULL, `idCurrency` INTEGER NOT NULL, `idLanguage` INTEGER NOT NULL, `symbol` TEXT NOT NULL, PRIMARY KEY(`idCurrTranslation`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `Language` (`idLanguage` INTEGER NOT NULL, `language` TEXT NOT NULL, PRIMARY KEY(`idLanguage`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `Screen` (`idScreen` INTEGER NOT NULL, `screen` TEXT NOT NULL, PRIMARY KEY(`idScreen`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `ScreenWord` (`idScreenWord` INTEGER NOT NULL, `idWord` INTEGER NOT NULL, `idScreen` INTEGER NOT NULL, PRIMARY KEY(`idScreenWord`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `Word` (`idWord` INTEGER NOT NULL, `word` TEXT NOT NULL, PRIMARY KEY(`idWord`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `WordTranslation` (`idWordTranslation` INTEGER NOT NULL, `idWord` INTEGER NOT NULL, `idLanguage` INTEGER NOT NULL, `text` TEXT NOT NULL, PRIMARY KEY(`idWordTranslation`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `QuantityUnit` (`idQuantityUnit` INTEGER NOT NULL, `quantityUnit` TEXT NOT NULL, PRIMARY KEY(`idQuantityUnit`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `StorePlace` (`idStorePlace` INTEGER NOT NULL, `storePlace` TEXT NOT NULL, PRIMARY KEY(`idStorePlace`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS `ConfigProfile` (`idConfigProfile` INTEGER NOT NULL, `parameter` TEXT NOT NULL, `value` TEXT NOT NULL, PRIMARY KEY(`idConfigProfile`))");
        _db.execSQL("CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)");
        _db.execSQL("INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, '49075ea01a862f1ed8cc5866d61a1742')");
      }

      @Override
      public void dropAllTables(SupportSQLiteDatabase _db) {
        _db.execSQL("DROP TABLE IF EXISTS `Currency`");
        _db.execSQL("DROP TABLE IF EXISTS `CurrencyTranslation`");
        _db.execSQL("DROP TABLE IF EXISTS `Language`");
        _db.execSQL("DROP TABLE IF EXISTS `Screen`");
        _db.execSQL("DROP TABLE IF EXISTS `ScreenWord`");
        _db.execSQL("DROP TABLE IF EXISTS `Word`");
        _db.execSQL("DROP TABLE IF EXISTS `WordTranslation`");
        _db.execSQL("DROP TABLE IF EXISTS `QuantityUnit`");
        _db.execSQL("DROP TABLE IF EXISTS `StorePlace`");
        _db.execSQL("DROP TABLE IF EXISTS `ConfigProfile`");
        if (mCallbacks != null) {
          for (int _i = 0, _size = mCallbacks.size(); _i < _size; _i++) {
            mCallbacks.get(_i).onDestructiveMigration(_db);
          }
        }
      }

      @Override
      protected void onCreate(SupportSQLiteDatabase _db) {
        if (mCallbacks != null) {
          for (int _i = 0, _size = mCallbacks.size(); _i < _size; _i++) {
            mCallbacks.get(_i).onCreate(_db);
          }
        }
      }

      @Override
      public void onOpen(SupportSQLiteDatabase _db) {
        mDatabase = _db;
        internalInitInvalidationTracker(_db);
        if (mCallbacks != null) {
          for (int _i = 0, _size = mCallbacks.size(); _i < _size; _i++) {
            mCallbacks.get(_i).onOpen(_db);
          }
        }
      }

      @Override
      public void onPreMigrate(SupportSQLiteDatabase _db) {
        DBUtil.dropFtsSyncTriggers(_db);
      }

      @Override
      public void onPostMigrate(SupportSQLiteDatabase _db) {
      }

      @Override
      protected RoomOpenHelper.ValidationResult onValidateSchema(SupportSQLiteDatabase _db) {
        final HashMap<String, TableInfo.Column> _columnsCurrency = new HashMap<String, TableInfo.Column>(2);
        _columnsCurrency.put("idCurrency", new TableInfo.Column("idCurrency", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsCurrency.put("currency", new TableInfo.Column("currency", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysCurrency = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesCurrency = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoCurrency = new TableInfo("Currency", _columnsCurrency, _foreignKeysCurrency, _indicesCurrency);
        final TableInfo _existingCurrency = TableInfo.read(_db, "Currency");
        if (! _infoCurrency.equals(_existingCurrency)) {
          return new RoomOpenHelper.ValidationResult(false, "Currency(com.myfood.databases.databasesqlite.entity.Currency).\n"
                  + " Expected:\n" + _infoCurrency + "\n"
                  + " Found:\n" + _existingCurrency);
        }
        final HashMap<String, TableInfo.Column> _columnsCurrencyTranslation = new HashMap<String, TableInfo.Column>(4);
        _columnsCurrencyTranslation.put("idCurrTranslation", new TableInfo.Column("idCurrTranslation", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsCurrencyTranslation.put("idCurrency", new TableInfo.Column("idCurrency", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsCurrencyTranslation.put("idLanguage", new TableInfo.Column("idLanguage", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsCurrencyTranslation.put("symbol", new TableInfo.Column("symbol", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysCurrencyTranslation = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesCurrencyTranslation = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoCurrencyTranslation = new TableInfo("CurrencyTranslation", _columnsCurrencyTranslation, _foreignKeysCurrencyTranslation, _indicesCurrencyTranslation);
        final TableInfo _existingCurrencyTranslation = TableInfo.read(_db, "CurrencyTranslation");
        if (! _infoCurrencyTranslation.equals(_existingCurrencyTranslation)) {
          return new RoomOpenHelper.ValidationResult(false, "CurrencyTranslation(com.myfood.databases.databasesqlite.entity.CurrencyTranslation).\n"
                  + " Expected:\n" + _infoCurrencyTranslation + "\n"
                  + " Found:\n" + _existingCurrencyTranslation);
        }
        final HashMap<String, TableInfo.Column> _columnsLanguage = new HashMap<String, TableInfo.Column>(2);
        _columnsLanguage.put("idLanguage", new TableInfo.Column("idLanguage", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsLanguage.put("language", new TableInfo.Column("language", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysLanguage = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesLanguage = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoLanguage = new TableInfo("Language", _columnsLanguage, _foreignKeysLanguage, _indicesLanguage);
        final TableInfo _existingLanguage = TableInfo.read(_db, "Language");
        if (! _infoLanguage.equals(_existingLanguage)) {
          return new RoomOpenHelper.ValidationResult(false, "Language(com.myfood.databases.databasesqlite.entity.Language).\n"
                  + " Expected:\n" + _infoLanguage + "\n"
                  + " Found:\n" + _existingLanguage);
        }
        final HashMap<String, TableInfo.Column> _columnsScreen = new HashMap<String, TableInfo.Column>(2);
        _columnsScreen.put("idScreen", new TableInfo.Column("idScreen", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsScreen.put("screen", new TableInfo.Column("screen", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysScreen = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesScreen = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoScreen = new TableInfo("Screen", _columnsScreen, _foreignKeysScreen, _indicesScreen);
        final TableInfo _existingScreen = TableInfo.read(_db, "Screen");
        if (! _infoScreen.equals(_existingScreen)) {
          return new RoomOpenHelper.ValidationResult(false, "Screen(com.myfood.databases.databasesqlite.entity.Screen).\n"
                  + " Expected:\n" + _infoScreen + "\n"
                  + " Found:\n" + _existingScreen);
        }
        final HashMap<String, TableInfo.Column> _columnsScreenWord = new HashMap<String, TableInfo.Column>(3);
        _columnsScreenWord.put("idScreenWord", new TableInfo.Column("idScreenWord", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsScreenWord.put("idWord", new TableInfo.Column("idWord", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsScreenWord.put("idScreen", new TableInfo.Column("idScreen", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysScreenWord = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesScreenWord = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoScreenWord = new TableInfo("ScreenWord", _columnsScreenWord, _foreignKeysScreenWord, _indicesScreenWord);
        final TableInfo _existingScreenWord = TableInfo.read(_db, "ScreenWord");
        if (! _infoScreenWord.equals(_existingScreenWord)) {
          return new RoomOpenHelper.ValidationResult(false, "ScreenWord(com.myfood.databases.databasesqlite.entity.ScreenWord).\n"
                  + " Expected:\n" + _infoScreenWord + "\n"
                  + " Found:\n" + _existingScreenWord);
        }
        final HashMap<String, TableInfo.Column> _columnsWord = new HashMap<String, TableInfo.Column>(2);
        _columnsWord.put("idWord", new TableInfo.Column("idWord", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsWord.put("word", new TableInfo.Column("word", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysWord = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesWord = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoWord = new TableInfo("Word", _columnsWord, _foreignKeysWord, _indicesWord);
        final TableInfo _existingWord = TableInfo.read(_db, "Word");
        if (! _infoWord.equals(_existingWord)) {
          return new RoomOpenHelper.ValidationResult(false, "Word(com.myfood.databases.databasesqlite.entity.Word).\n"
                  + " Expected:\n" + _infoWord + "\n"
                  + " Found:\n" + _existingWord);
        }
        final HashMap<String, TableInfo.Column> _columnsWordTranslation = new HashMap<String, TableInfo.Column>(4);
        _columnsWordTranslation.put("idWordTranslation", new TableInfo.Column("idWordTranslation", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsWordTranslation.put("idWord", new TableInfo.Column("idWord", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsWordTranslation.put("idLanguage", new TableInfo.Column("idLanguage", "INTEGER", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsWordTranslation.put("text", new TableInfo.Column("text", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysWordTranslation = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesWordTranslation = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoWordTranslation = new TableInfo("WordTranslation", _columnsWordTranslation, _foreignKeysWordTranslation, _indicesWordTranslation);
        final TableInfo _existingWordTranslation = TableInfo.read(_db, "WordTranslation");
        if (! _infoWordTranslation.equals(_existingWordTranslation)) {
          return new RoomOpenHelper.ValidationResult(false, "WordTranslation(com.myfood.databases.databasesqlite.entity.WordTranslation).\n"
                  + " Expected:\n" + _infoWordTranslation + "\n"
                  + " Found:\n" + _existingWordTranslation);
        }
        final HashMap<String, TableInfo.Column> _columnsQuantityUnit = new HashMap<String, TableInfo.Column>(2);
        _columnsQuantityUnit.put("idQuantityUnit", new TableInfo.Column("idQuantityUnit", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsQuantityUnit.put("quantityUnit", new TableInfo.Column("quantityUnit", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysQuantityUnit = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesQuantityUnit = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoQuantityUnit = new TableInfo("QuantityUnit", _columnsQuantityUnit, _foreignKeysQuantityUnit, _indicesQuantityUnit);
        final TableInfo _existingQuantityUnit = TableInfo.read(_db, "QuantityUnit");
        if (! _infoQuantityUnit.equals(_existingQuantityUnit)) {
          return new RoomOpenHelper.ValidationResult(false, "QuantityUnit(com.myfood.databases.databasesqlite.entity.QuantityUnit).\n"
                  + " Expected:\n" + _infoQuantityUnit + "\n"
                  + " Found:\n" + _existingQuantityUnit);
        }
        final HashMap<String, TableInfo.Column> _columnsStorePlace = new HashMap<String, TableInfo.Column>(2);
        _columnsStorePlace.put("idStorePlace", new TableInfo.Column("idStorePlace", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsStorePlace.put("storePlace", new TableInfo.Column("storePlace", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysStorePlace = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesStorePlace = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoStorePlace = new TableInfo("StorePlace", _columnsStorePlace, _foreignKeysStorePlace, _indicesStorePlace);
        final TableInfo _existingStorePlace = TableInfo.read(_db, "StorePlace");
        if (! _infoStorePlace.equals(_existingStorePlace)) {
          return new RoomOpenHelper.ValidationResult(false, "StorePlace(com.myfood.databases.databasesqlite.entity.StorePlace).\n"
                  + " Expected:\n" + _infoStorePlace + "\n"
                  + " Found:\n" + _existingStorePlace);
        }
        final HashMap<String, TableInfo.Column> _columnsConfigProfile = new HashMap<String, TableInfo.Column>(3);
        _columnsConfigProfile.put("idConfigProfile", new TableInfo.Column("idConfigProfile", "INTEGER", true, 1, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsConfigProfile.put("parameter", new TableInfo.Column("parameter", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        _columnsConfigProfile.put("value", new TableInfo.Column("value", "TEXT", true, 0, null, TableInfo.CREATED_FROM_ENTITY));
        final HashSet<TableInfo.ForeignKey> _foreignKeysConfigProfile = new HashSet<TableInfo.ForeignKey>(0);
        final HashSet<TableInfo.Index> _indicesConfigProfile = new HashSet<TableInfo.Index>(0);
        final TableInfo _infoConfigProfile = new TableInfo("ConfigProfile", _columnsConfigProfile, _foreignKeysConfigProfile, _indicesConfigProfile);
        final TableInfo _existingConfigProfile = TableInfo.read(_db, "ConfigProfile");
        if (! _infoConfigProfile.equals(_existingConfigProfile)) {
          return new RoomOpenHelper.ValidationResult(false, "ConfigProfile(com.myfood.databases.databasesqlite.entity.ConfigProfile).\n"
                  + " Expected:\n" + _infoConfigProfile + "\n"
                  + " Found:\n" + _existingConfigProfile);
        }
        return new RoomOpenHelper.ValidationResult(true, null);
      }
    }, "49075ea01a862f1ed8cc5866d61a1742", "3d0045b68adeb3e5c90f3e66f62446ca");
    final SupportSQLiteOpenHelper.Configuration _sqliteConfig = SupportSQLiteOpenHelper.Configuration.builder(configuration.context)
        .name(configuration.name)
        .callback(_openCallback)
        .build();
    final SupportSQLiteOpenHelper _helper = configuration.sqliteOpenHelperFactory.create(_sqliteConfig);
    return _helper;
  }

  @Override
  protected InvalidationTracker createInvalidationTracker() {
    final HashMap<String, String> _shadowTablesMap = new HashMap<String, String>(0);
    HashMap<String, Set<String>> _viewTables = new HashMap<String, Set<String>>(0);
    return new InvalidationTracker(this, _shadowTablesMap, _viewTables, "Currency","CurrencyTranslation","Language","Screen","ScreenWord","Word","WordTranslation","QuantityUnit","StorePlace","ConfigProfile");
  }

  @Override
  public void clearAllTables() {
    super.assertNotMainThread();
    final SupportSQLiteDatabase _db = super.getOpenHelper().getWritableDatabase();
    try {
      super.beginTransaction();
      _db.execSQL("DELETE FROM `Currency`");
      _db.execSQL("DELETE FROM `CurrencyTranslation`");
      _db.execSQL("DELETE FROM `Language`");
      _db.execSQL("DELETE FROM `Screen`");
      _db.execSQL("DELETE FROM `ScreenWord`");
      _db.execSQL("DELETE FROM `Word`");
      _db.execSQL("DELETE FROM `WordTranslation`");
      _db.execSQL("DELETE FROM `QuantityUnit`");
      _db.execSQL("DELETE FROM `StorePlace`");
      _db.execSQL("DELETE FROM `ConfigProfile`");
      super.setTransactionSuccessful();
    } finally {
      super.endTransaction();
      _db.query("PRAGMA wal_checkpoint(FULL)").close();
      if (!_db.inTransaction()) {
        _db.execSQL("VACUUM");
      }
    }
  }

  @Override
  protected Map<Class<?>, List<Class<?>>> getRequiredTypeConverters() {
    final HashMap<Class<?>, List<Class<?>>> _typeConvertersMap = new HashMap<Class<?>, List<Class<?>>>();
    _typeConvertersMap.put(SQLiteDao.class, SQLiteDao_Impl.getRequiredConverters());
    return _typeConvertersMap;
  }

  @Override
  public Set<Class<? extends AutoMigrationSpec>> getRequiredAutoMigrationSpecs() {
    final HashSet<Class<? extends AutoMigrationSpec>> _autoMigrationSpecsSet = new HashSet<Class<? extends AutoMigrationSpec>>();
    return _autoMigrationSpecsSet;
  }

  @Override
  public List<Migration> getAutoMigrations(
      @NonNull Map<Class<? extends AutoMigrationSpec>, AutoMigrationSpec> autoMigrationSpecsMap) {
    return Arrays.asList();
  }

  @Override
  public SQLiteDao sqliteDao() {
    if (_sQLiteDao != null) {
      return _sQLiteDao;
    } else {
      synchronized(this) {
        if(_sQLiteDao == null) {
          _sQLiteDao = new SQLiteDao_Impl(this);
        }
        return _sQLiteDao;
      }
    }
  }
}
