package com.myfood.databases.databasesqlite;

import android.database.Cursor;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.SharedSQLiteStatement;
import androidx.room.util.CursorUtil;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.myfood.databases.databasesqlite.entity.QuantityUnit;
import com.myfood.databases.databasesqlite.entity.StorePlace;
import com.myfood.databases.databasesqlite.entity.Translation;
import java.lang.Class;
import java.lang.Override;
import java.lang.String;
import java.lang.SuppressWarnings;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

@SuppressWarnings({"unchecked", "deprecation"})
public final class SQLiteDao_Impl implements SQLiteDao {
  private final RoomDatabase __db;

  private final SharedSQLiteStatement __preparedStmtOfUpdateCurrentLanguage;

  private final SharedSQLiteStatement __preparedStmtOfUpdateCurrentCurrency;

  private final SharedSQLiteStatement __preparedStmtOfUpdateUserId;

  private final SharedSQLiteStatement __preparedStmtOfAddQuantityUnit;

  private final SharedSQLiteStatement __preparedStmtOfUpdateQuantityUnit;

  private final SharedSQLiteStatement __preparedStmtOfDeleteQuantityUnit;

  private final SharedSQLiteStatement __preparedStmtOfAddStorePlace;

  private final SharedSQLiteStatement __preparedStmtOfUpdateStorePlace;

  private final SharedSQLiteStatement __preparedStmtOfDeleteStorePlace;

  public SQLiteDao_Impl(RoomDatabase __db) {
    this.__db = __db;
    this.__preparedStmtOfUpdateCurrentLanguage = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "UPDATE ConfigProfile SET value =? WHERE parameter='language'";
        return _query;
      }
    };
    this.__preparedStmtOfUpdateCurrentCurrency = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "UPDATE ConfigProfile SET value =? WHERE parameter='symbol'";
        return _query;
      }
    };
    this.__preparedStmtOfUpdateUserId = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "UPDATE ConfigProfile SET value =? WHERE parameter='userId'";
        return _query;
      }
    };
    this.__preparedStmtOfAddQuantityUnit = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "INSERT INTO QuantityUnit(quantityUnit) values(?)";
        return _query;
      }
    };
    this.__preparedStmtOfUpdateQuantityUnit = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "UPDATE QuantityUnit SET quantityUnit=? WHERE idQuantityUnit=?";
        return _query;
      }
    };
    this.__preparedStmtOfDeleteQuantityUnit = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "DELETE FROM QuantityUnit WHERE idQuantityUnit = ?";
        return _query;
      }
    };
    this.__preparedStmtOfAddStorePlace = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "INSERT INTO StorePlace(storePlace) values(?)";
        return _query;
      }
    };
    this.__preparedStmtOfUpdateStorePlace = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "UPDATE StorePlace SET storePlace=? WHERE idStorePlace = ?";
        return _query;
      }
    };
    this.__preparedStmtOfDeleteStorePlace = new SharedSQLiteStatement(__db) {
      @Override
      public String createQuery() {
        final String _query = "DELETE FROM StorePlace WHERE idStorePlace = ?";
        return _query;
      }
    };
  }

  @Override
  public void updateCurrentLanguage(final String language) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfUpdateCurrentLanguage.acquire();
    int _argIndex = 1;
    if (language == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, language);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfUpdateCurrentLanguage.release(_stmt);
    }
  }

  @Override
  public void updateCurrentCurrency(final String currency) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfUpdateCurrentCurrency.acquire();
    int _argIndex = 1;
    if (currency == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, currency);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfUpdateCurrentCurrency.release(_stmt);
    }
  }

  @Override
  public void updateUserId(final String userId) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfUpdateUserId.acquire();
    int _argIndex = 1;
    if (userId == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, userId);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfUpdateUserId.release(_stmt);
    }
  }

  @Override
  public void addQuantityUnit(final String quantityUnit) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfAddQuantityUnit.acquire();
    int _argIndex = 1;
    if (quantityUnit == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, quantityUnit);
    }
    __db.beginTransaction();
    try {
      _stmt.executeInsert();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfAddQuantityUnit.release(_stmt);
    }
  }

  @Override
  public void updateQuantityUnit(final String quantityUnit, final String id) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfUpdateQuantityUnit.acquire();
    int _argIndex = 1;
    if (quantityUnit == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, quantityUnit);
    }
    _argIndex = 2;
    if (id == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, id);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfUpdateQuantityUnit.release(_stmt);
    }
  }

  @Override
  public void deleteQuantityUnit(final String id) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfDeleteQuantityUnit.acquire();
    int _argIndex = 1;
    if (id == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, id);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfDeleteQuantityUnit.release(_stmt);
    }
  }

  @Override
  public void addStorePlace(final String place) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfAddStorePlace.acquire();
    int _argIndex = 1;
    if (place == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, place);
    }
    __db.beginTransaction();
    try {
      _stmt.executeInsert();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfAddStorePlace.release(_stmt);
    }
  }

  @Override
  public void updateStorePlace(final String storePlace, final String id) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfUpdateStorePlace.acquire();
    int _argIndex = 1;
    if (storePlace == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, storePlace);
    }
    _argIndex = 2;
    if (id == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, id);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfUpdateStorePlace.release(_stmt);
    }
  }

  @Override
  public void deleteStorePlace(final String id) {
    __db.assertNotSuspendingTransaction();
    final SupportSQLiteStatement _stmt = __preparedStmtOfDeleteStorePlace.acquire();
    int _argIndex = 1;
    if (id == null) {
      _stmt.bindNull(_argIndex);
    } else {
      _stmt.bindString(_argIndex, id);
    }
    __db.beginTransaction();
    try {
      _stmt.executeUpdateDelete();
      __db.setTransactionSuccessful();
    } finally {
      __db.endTransaction();
      __preparedStmtOfDeleteStorePlace.release(_stmt);
    }
  }

  @Override
  public List<Translation> getTranslations(final int language, final int screen) {
    final String _sql = "SELECT w.word,  wt.text FROM WordTranslation wt, Word w, ScreenWord sw WHERE sw.idWord = w.idWord and wt.idWord = w.idWord and sw.idScreen=? and wt.idLanguage=?";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 2);
    int _argIndex = 1;
    _statement.bindLong(_argIndex, screen);
    _argIndex = 2;
    _statement.bindLong(_argIndex, language);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final int _cursorIndexOfWord = 0;
      final int _cursorIndexOfText = 1;
      final List<Translation> _result = new ArrayList<Translation>(_cursor.getCount());
      while(_cursor.moveToNext()) {
        final Translation _item;
        final String _tmpWord;
        if (_cursor.isNull(_cursorIndexOfWord)) {
          _tmpWord = null;
        } else {
          _tmpWord = _cursor.getString(_cursorIndexOfWord);
        }
        final String _tmpText;
        if (_cursor.isNull(_cursorIndexOfText)) {
          _tmpText = null;
        } else {
          _tmpText = _cursor.getString(_cursorIndexOfText);
        }
        _item = new Translation(_tmpWord,_tmpText);
        _result.add(_item);
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public String getCurrentLanguage() {
    final String _sql = "SELECT value FROM ConfigProfile WHERE parameter='language'";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final String _result;
      if(_cursor.moveToFirst()) {
        if (_cursor.isNull(0)) {
          _result = null;
        } else {
          _result = _cursor.getString(0);
        }
      } else {
        _result = null;
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public List<String> getCurrencies(final int language) {
    final String _sql = "SELECT symbol FROM CurrencyTranslation WHERE idLanguage = ?";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 1);
    int _argIndex = 1;
    _statement.bindLong(_argIndex, language);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final List<String> _result = new ArrayList<String>(_cursor.getCount());
      while(_cursor.moveToNext()) {
        final String _item;
        if (_cursor.isNull(0)) {
          _item = null;
        } else {
          _item = _cursor.getString(0);
        }
        _result.add(_item);
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public String getCurrentCurrency() {
    final String _sql = "SELECT value FROM ConfigProfile WHERE parameter='symbol'";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final String _result;
      if(_cursor.moveToFirst()) {
        if (_cursor.isNull(0)) {
          _result = null;
        } else {
          _result = _cursor.getString(0);
        }
      } else {
        _result = null;
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public String getUserId() {
    final String _sql = "SELECT value FROM ConfigProfile WHERE parameter='userId'";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final String _result;
      if(_cursor.moveToFirst()) {
        if (_cursor.isNull(0)) {
          _result = null;
        } else {
          _result = _cursor.getString(0);
        }
      } else {
        _result = null;
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public List<String> getLanguages() {
    final String _sql = "SELECT language FROM Language";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final List<String> _result = new ArrayList<String>(_cursor.getCount());
      while(_cursor.moveToNext()) {
        final String _item;
        if (_cursor.isNull(0)) {
          _item = null;
        } else {
          _item = _cursor.getString(0);
        }
        _result.add(_item);
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public List<QuantityUnit> getQuantitiesUnit() {
    final String _sql = "SELECT * FROM QuantityUnit";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final int _cursorIndexOfIdQuantityUnit = CursorUtil.getColumnIndexOrThrow(_cursor, "idQuantityUnit");
      final int _cursorIndexOfQuantityUnit = CursorUtil.getColumnIndexOrThrow(_cursor, "quantityUnit");
      final List<QuantityUnit> _result = new ArrayList<QuantityUnit>(_cursor.getCount());
      while(_cursor.moveToNext()) {
        final QuantityUnit _item;
        final int _tmpIdQuantityUnit;
        _tmpIdQuantityUnit = _cursor.getInt(_cursorIndexOfIdQuantityUnit);
        final String _tmpQuantityUnit;
        if (_cursor.isNull(_cursorIndexOfQuantityUnit)) {
          _tmpQuantityUnit = null;
        } else {
          _tmpQuantityUnit = _cursor.getString(_cursorIndexOfQuantityUnit);
        }
        _item = new QuantityUnit(_tmpIdQuantityUnit,_tmpQuantityUnit);
        _result.add(_item);
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  @Override
  public List<StorePlace> getStorePlaces() {
    final String _sql = "SELECT * FROM StorePlace";
    final RoomSQLiteQuery _statement = RoomSQLiteQuery.acquire(_sql, 0);
    __db.assertNotSuspendingTransaction();
    final Cursor _cursor = DBUtil.query(__db, _statement, false, null);
    try {
      final int _cursorIndexOfIdStorePlace = CursorUtil.getColumnIndexOrThrow(_cursor, "idStorePlace");
      final int _cursorIndexOfStorePlace = CursorUtil.getColumnIndexOrThrow(_cursor, "storePlace");
      final List<StorePlace> _result = new ArrayList<StorePlace>(_cursor.getCount());
      while(_cursor.moveToNext()) {
        final StorePlace _item;
        final int _tmpIdStorePlace;
        _tmpIdStorePlace = _cursor.getInt(_cursorIndexOfIdStorePlace);
        final String _tmpStorePlace;
        if (_cursor.isNull(_cursorIndexOfStorePlace)) {
          _tmpStorePlace = null;
        } else {
          _tmpStorePlace = _cursor.getString(_cursorIndexOfStorePlace);
        }
        _item = new StorePlace(_tmpIdStorePlace,_tmpStorePlace);
        _result.add(_item);
      }
      return _result;
    } finally {
      _cursor.close();
      _statement.release();
    }
  }

  public static List<Class<?>> getRequiredConverters() {
    return Collections.emptyList();
  }
}
